<?php

namespace App\Modelos;

use Core\Database;

class ProductoUbicacion extends Database
{
    protected $table = 'app_productos_ubicacion';
    protected $id    = 'pu_id';

    public function obtenerubicacionProducto(int $id_producto)
    {
        return $this->consultar("SELECT *
        FROM app_productos_ubicacion pu
        JOIN app_almacenes a ON a.alm_id = pu.pu_almid
        JOIN app_almacen_ubicacion au ON au.au_id = pu.pu_auid
        WHERE pu_proid=$id_producto")->all();
    }

    public function obtenerubicacionProductoAlmacen(int $id_producto, int $id_almacen)
    {
        return $this->consultar("SELECT au_id, au_tipo, au_descripcion, au_padre, alm_id, alm_nombre, p.pro_id, 
        p.pro_descripcion, p.pro_codigo
        FROM app_productos_ubicacion pu
        JOIN app_productos p ON p.pro_id = pu.pu_proid
        JOIN app_almacenes a ON a.alm_id = pu.pu_almid
        JOIN app_almacen_ubicacion au ON au.au_id = pu.pu_auid
        WHERE pu.pu_proid=$id_producto AND a.alm_id=$id_almacen")->all();
    }
}
